<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');

$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 

			//aqi imprime O ULTIMO..
			//$matrizLargura[13]=70;
     		$pdf->setXY(239,$cota1);
			$largura=$matrizLargura[13];
			$larguraTexto=ceil($largura*.7);
			$texto=$matrizTitulo[13];
			$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		    $pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome






            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			//echo $finalidade;
			
			$campos=" select fic_amostra,fic_tta, fic_lote,ctv_nome, prd_nome, prd_renasem, amt_apelido, amt_renasem,fic_funcao,fic_categoria,fic_safra,fic_peneira,fic_dt_entrada,fic_repre_unid,fic_id,esp_nome,fic_dt_amostragem,fic_amostra_previa,fic_observacao,fic_procedencia ";
			   $generica->extras_select =$campos ."  from  ficha,cultivar,remetente,amostrador,especies  where fic_amostra>='".$inicio."' &&   fic_amostra<='".$final."'            && prd_id=fic_produtor   && amt_id=fic_amostrador && fic_cultivar=ctv_id   && ctv_especie=esp_id  and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo." order by fic_amostra";
			   
        
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
				$amostraLong=$resgenerica->fic_id;
			    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
    
                $matrizConteudo[$contador][1]=str_pad($resgenerica->fic_amostra, 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($resgenerica->fic_dt_entrada));
                $matrizConteudo[$contador][2]=$resgenerica->fic_tta;
                $matrizConteudo[$contador][3]=date("d/m/y",strtotime($resgenerica->fic_dt_entrada));
                $matrizConteudo[$contador][4]=$resgenerica->prd_nome;
                $matrizConteudo[$contador][5]=$resgenerica->fic_procedencia;
                $matrizConteudo[$contador][6]=$resgenerica->ctv_nome;
                $matrizConteudo[$contador][7]=$resgenerica->fic_lote;
			    $matrizConteudo[$contador][8]=$vetorAmostraBruto[90];//
                $matrizConteudo[$contador][9]=$resgenerica->fic_safra;
                $matrizConteudo[$contador][10]=$resgenerica->fic_categoria;
                $funcao=$resgenerica->fic_funcao;				
                //Se a funcao for MONITORAR QUALIDADE ele pega a data do teste de gemrinacao
				//caso contrariro pega o numero do documento(se houver)
				$documento="";
				$dataDoc="";
				if($funcao=='MONITORAR QUALIDADE'):
				   //aqui vai testar se a amostra ja foi fechada a geminacao
				   //caso contrario nao mostrará nada
	               ///////////no mq é assimxxxxxxxxxxxx
					//germinacao
					$germinacao="";
					$dataGerm="";
					$rean = new rean1();
					$rean->extras_select =" where  rea_teste='GERM' and rea_finalizada='S' AND rea_ficha=".$amostraLong;
	                $rean->selecionaTudo($rean);
                    $estaFinalizado='NAO';
				    $documento=" ";
				    $dataDoc=" ";
					while ($resRean = $rean->retornaDados()):
                      $estaFinalizado='SIM';
	                endwhile;				   
				   
				   //TESTA SE ESTA FINALIZADO PARA SO ENTAO COLOCAR AQUI////////// 
				   if($estaFinalizado=='SIM'):
					   $documento="MQ".$anoCorrente;
					   $dataDoc=$vetorAmostraBruto[52];
                   endif;
  				else:
                   //captura o numero do documento e o tipo
				   //ENTRA DE QUAKQUER MANEIRA
					$genericaDoc=new tabelagenerica();
					$genericaDoc->tabela="documentosponte,documentos";
					$genericaDoc->campos_valores = array(
						   "doc_numero" => NULL,
						   "doc_tipo" => NULL,
						   "doc_data" => NULL,
					);
					$genericaDoc->extras_select =" where dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
					$genericaDoc->selecionaCampos($genericaDoc);
					while ($resgenericaDoc= $genericaDoc->retornaDados()):
		               $tipoDoc=$resgenericaDoc->doc_tipo;
		               $numeroDoc=$resgenericaDoc->doc_numero;
		               $dataDoc=date("d/m/y",strtotime($resgenericaDoc->doc_data));  
					   $documento=substr($tipoDoc,0,1).str_pad($numeroDoc, 4, "0", STR_PAD_LEFT).date("/y",strtotime($resgenericaDoc->doc_data));
                       //$documento='dafo';

                    endwhile;      
				endif;
			    $matrizConteudo[$contador][11]=$documento;//
			    $matrizConteudo[$contador][12]=$dataDoc;//
			    $matrizConteudo[$contador][13]=$resgenerica->fic_observacao;//

                //captura teste de germinacao(no caso ricetec é ge2)
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='GERM'  AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
                //limpa todos dados da amostra anterior
				for($colunas=14;$colunas<=$limite;$colunas++):
				    $matrizConteudo[$contador][$colunas]="-N-";
				endfor;
				while ($resRean = $rean->retornaDados()):
                    $matrizConteudo[$contador][14]=$resRean->rea_v1;// normais
                    $matrizConteudo[$contador][15]=$resRean->rea_v2;// anormais
                    $matrizConteudo[$contador][16]=$resRean->rea_v5;// mortas
					$matrizConteudo[$contador][17]=$resRean->rea_v1+$resRean->rea_v2+$resRean->rea_v5;
                    $matrizConteudo[$contador][18]=$resRean->rea_campo60c;// fungo ou infecionadas
                    $matrizConteudo[$contador][19]=date("d/m/y",$resRean->rea_datageralteste);// data teste
                endwhile;				   

                //captura reteste de germinacao(no caso ricetec é ge2)
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='GE2'  AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
                //limpa todos dados da amostra anterior
				for($colunas=14;$colunas<=$limite;$colunas++):
				    $matrizConteudo[$contador][$colunas]="-N-";
				endfor;
				while ($resRean = $rean->retornaDados()):
                    $matrizConteudo[$contador][20]=$resRean->rea_v1;// normais
                    $matrizConteudo[$contador][21]=$resRean->rea_v2;// anormais
                    $matrizConteudo[$contador][22]=$resRean->rea_v5;// mortas
					$matrizConteudo[$contador][23]=$resRean->rea_v1+$resRean->rea_v2+$resRean->rea_v5;
                    $matrizConteudo[$contador][24]=$resRean->rea_v6;// fungo ou infecionadas
                    $matrizConteudo[$contador][25]=date("d/m/y",$resRean->rea_datageralteste);// data teste
                endwhile;				   

                //captura teste de FRIO
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='FRI'  AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
                //limpa todos dados da amostra anterior
				for($colunas=14;$colunas<=$limite;$colunas++):
				    $matrizConteudo[$contador][$colunas]="-N-";
				endfor;
				while ($resRean = $rean->retornaDados()):
                    $matrizConteudo[$contador][26]=$resRean->rea_v1;// normais
                    $matrizConteudo[$contador][27]=$resRean->rea_v2;// anormais
                    $matrizConteudo[$contador][28]=$resRean->rea_v5;// mortas
					$matrizConteudo[$contador][29]=$resRean->rea_v1+$resRean->rea_v2+$resRean->rea_v5;
                    $matrizConteudo[$contador][30]=$resRean->rea_v6;// fungo ou infecionadas
                    $matrizConteudo[$contador][31]=date("d/m/y",$resRean->rea_datageralteste);// data teste
                endwhile;				   


                //captura REteste de FRIO
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='FR2'  AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
                //limpa todos dados da amostra anterior
				for($colunas=14;$colunas<=$limite;$colunas++):
				    $matrizConteudo[$contador][$colunas]="-N-";
				endfor;
				while ($resRean = $rean->retornaDados()):
                    $matrizConteudo[$contador][32]=$resRean->rea_v1;// normais
                    $matrizConteudo[$contador][33]=$resRean->rea_v2;// anormais
                    $matrizConteudo[$contador][34]=$resRean->rea_v5;// mortas
					$matrizConteudo[$contador][35]=$resRean->rea_v1+$resRean->rea_v2+$resRean->rea_v5;
                    $matrizConteudo[$contador][36]=$resRean->rea_v6;// fungo ou infecionadas
                    $matrizConteudo[$contador][37]=date("d/m/y",$resRean->rea_datageralteste);// data teste
                endwhile;				   


                $amostraLong=$resgenerica->fic_id;
				

			    $contador++;
                //if($contador>30)break;
			endwhile; 
			$totalPaginas=ceil($contador/30);//arredonda para cima

			
			//	$pdf->Cell($largura,5,"xxxxxxxxxxxxxxx" .$contador ." limite=". $limite,1,0,'L');//lab nome		
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
            //para cada modelo defino as larguras e os titulos. Suprimo as colunas que nao usar
			//com isso ja consigo que ele me mostre so o que eu realmente quero no livro
			//no vetor indices eu digo quais as colunas e em que posicao relativa
			$matrizLargura[1]=12;$matrizTitulo[1]='Amostra';
			$matrizLargura[2]=15; $matrizTitulo[2]='FSA';
			$matrizLargura[3]=21;$matrizTitulo[3]='Recebimento';
			$matrizLargura[4]=37; $matrizTitulo[4]='Requerente';
			$matrizLargura[5]=25; $matrizTitulo[5]='Procedência';
			$matrizLargura[6]=23; $matrizTitulo[6]='Cultivar';
			$matrizLargura[7]=19; $matrizTitulo[7]='Lote';
			$matrizLargura[8]=25; $matrizTitulo[8]='Representatividade';//renasem do requerente
			$matrizLargura[9]=15; $matrizTitulo[9]='Safra';
			$matrizLargura[10]=16; $matrizTitulo[10]='Categoria';
			$matrizLargura[11]=15; $matrizTitulo[11]='DocTo';
			$matrizLargura[12]=15; $matrizTitulo[12]='Data';
			$matrizLargura[13]=30; $matrizTitulo[13]='Observação';
			//esta é a parte novaricetec feita em 24/07/2016

            //germinacao
         	$matrizLargura[14]=10; $matrizTitulo[14]='Nor';
			$matrizLargura[15]=10; $matrizTitulo[15]='Ano';
			$matrizLargura[16]=10; $matrizTitulo[16]='Mo';
			$matrizLargura[17]=10; $matrizTitulo[17]='Tot';
			$matrizLargura[18]=10; $matrizTitulo[18]='Fun';
			$matrizLargura[19]=10; $matrizTitulo[19]='Final';
            
            //reanaslise de germinacao
         	$matrizLargura[20]=10; $matrizTitulo[20]='Nor';
			$matrizLargura[21]=10; $matrizTitulo[21]='Ano';
			$matrizLargura[22]=10; $matrizTitulo[22]='Mo';
			$matrizLargura[23]=10; $matrizTitulo[23]='Tot';
			$matrizLargura[24]=10; $matrizTitulo[24]='Fun';
			$matrizLargura[25]=10; $matrizTitulo[25]='Final';
           			
            //frio
         	$matrizLargura[26]=10; $matrizTitulo[26]='Nor';
			$matrizLargura[27]=10; $matrizTitulo[27]='Ano';
			$matrizLargura[28]=10; $matrizTitulo[28]='Mo';
			$matrizLargura[29]=10; $matrizTitulo[29]='Tot';
			$matrizLargura[30]=10; $matrizTitulo[30]='Fun';
			$matrizLargura[31]=10; $matrizTitulo[31]='Final';
            
            //reanslise de teste de frio
         	$matrizLargura[32]=10; $matrizTitulo[32]='Nor';
			$matrizLargura[33]=10; $matrizTitulo[33]='Ano';
			$matrizLargura[34]=10; $matrizTitulo[34]='Mo';
			$matrizLargura[35]=10; $matrizTitulo[35]='Tot';
			$matrizLargura[36]=10; $matrizTitulo[36]='Fun';
			$matrizLargura[37]=10; $matrizTitulo[37]='Final';
						
			
			
			$limite=sizeof($matrizLargura);
			//aqui vou fazer uma reducao de espaco pora causa que aumentou muitas colunas
            for($i=1;$i<=$limite;$i++):
			   $matrizLargura[$i]=$matrizLargura[$i]*0.55;
			endfor;
			





		    $cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',7);	
			$contadorLinhasPagina=0;
			$numeroPagina=0;
			
			//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 //$tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '<td colspan="13">Exportacao de dados para Excel - Sistema SilasNet - Planilha:RELATORIO GERAL</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '<td colspan="6">Germinacao</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '<td colspan="6">Reteste germinacao</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '<td colspan="6">Teste frio</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '<td colspan="6">Reteste frio</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=$limite;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';
			
			for($i=1;$i<=$contador;$i++):
			    $cota1+=4.5;
			    //imprime o timbrado
                //se o contador é igual a 0, imprime o timbrado  
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
                    $numeroPagina++;
                    //$pdf->SetFont('Times','',7);
			        //cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,3,24,12,'JPG');
					$cota1=5;			
					$pdf->SetFont('Arial','B',10);
					$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,'RG-LAS-013',0,1,'C');
	     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode('Planilha geral de amostras'),0,1,'C');//lab nome
					$pdf->SetFont('Arial','',5);
					$posicaoDireita=189;
					$pdf->setXY($posicaoDireita,$cota1);$pdf->Cell(100,5,utf8_decode('Edição:09'),0,1,'R');
					$pdf->setXY($posicaoDireita,$cota1+5);$pdf->Cell(100,5,utf8_decode('Data de aprovação:23/10/2015'),0,1,'R');
		            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
		            $cota1=$cota1+30;
					$pdf->setXY($margemEsquerda,$cota1-7);
					$pdf->Cell(50,5,utf8_decode('Ano:'.$anoCorrente),1,0,'L',1);//lab nome
		            $pdf->Rect($margemEsquerda,$cota1,$larguraUtil-2,10,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	
					//imprime casuismo da amostra		
					$pdf->setXY($margemEsquerda,$cota1+1);$pdf->Cell($matrizLargura[1],4,utf8_decode('Nº'),0,0,'C');
		     		$pdf->setXY($margemEsquerda,$cota1+5);$pdf->Cell($matrizLargura[1],4,'Amostra',0,0,'C');
					//aqi imprime varios que sao normais...
		     		$pdf->setXY($margemEsquerda+$matrizLargura[1],$cota1);
                    $posicaoLaudoX=$margemEsquerda+$matrizLargura[1];
					for($j=2;$j<=10;$j++):
						$largura=$matrizLargura[$j];
                        $posicaoLaudoX+= $largura;
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
					//imprime casuismo do laudo	
					$somaLargura=$matrizLargura[11]+$matrizLargura[12];
					$pdf->setXY($posicaoLaudoX,$cota1);$pdf->Cell($somaLargura,5,'Laudo',1,0,'C');
		     		$pdf->setXY($posicaoLaudoX,$cota1+5);
					$pdf->Cell($matrizLargura[11],5,utf8_decode('Nº'),1,0,'C');
		     		$pdf->Cell($matrizLargura[12],5,utf8_decode('Data'),1,0,'C');
					
                    //daqui para frente imprime de novo os normais ou seja nao tem o casuismo do laudo
					//calcula posicao depois do laudo(de observacao em diante)
					$posicaoDepoisLaudoX=$posicaoLaudoX+$somaLargura;					
		     		$pdf->setXY($posicaoDepoisLaudoX,$cota1);
					for($j=13;$j<=13;$j++):
						$largura=$matrizLargura[$j];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
                    //imprime os casuismos de geminacao
					$posicaoLaudoX=$posicaoDepoisLaudoX+$matrizLargura[13];//soma o espaco de observacoes
					$somaLargura=$matrizLargura[14]+$matrizLargura[15]+$matrizLargura[16]+$matrizLargura[17]+$matrizLargura[18]+$matrizLargura[19];
					$pdf->setXY($posicaoLaudoX,$cota1);
					$pdf->Cell($somaLargura,5,utf8_decode('Germinação'),1,0,'C');
		     		$pdf->setXY($posicaoLaudoX,$cota1+5);
					$pdf->Cell($matrizLargura[14],5,utf8_decode($matrizTitulo[14]),1,0,'C');
		     		$pdf->Cell($matrizLargura[15],5,utf8_decode($matrizTitulo[15]),1,0,'C');
		     		$pdf->Cell($matrizLargura[16],5,utf8_decode($matrizTitulo[16]),1,0,'C');
		     		$pdf->Cell($matrizLargura[17],5,utf8_decode($matrizTitulo[17]),1,0,'C');
		     		$pdf->Cell($matrizLargura[18],5,utf8_decode($matrizTitulo[18]),1,0,'C');
		     		$pdf->Cell($matrizLargura[19],5,utf8_decode($matrizTitulo[19]),1,0,'C');
					
                    //imprime os casuismos de REanalise de geminacao
					$somaLargura=$matrizLargura[20]+$matrizLargura[21]+$matrizLargura[22]+$matrizLargura[23]+$matrizLargura[24]+$matrizLargura[25];
					$posicaoLaudoX=$posicaoLaudoX+$somaLargura;//
					$pdf->setXY($posicaoLaudoX,$cota1);
					$pdf->Cell($somaLargura,5,utf8_decode('Reteste de Germinação'),1,0,'C');
		     		$pdf->setXY($posicaoLaudoX,$cota1+5);
					$pdf->Cell($matrizLargura[20],5,utf8_decode($matrizTitulo[20]),1,0,'C');
		     		$pdf->Cell($matrizLargura[21],5,utf8_decode($matrizTitulo[21]),1,0,'C');
		     		$pdf->Cell($matrizLargura[22],5,utf8_decode($matrizTitulo[22]),1,0,'C');
		     		$pdf->Cell($matrizLargura[23],5,utf8_decode($matrizTitulo[23]),1,0,'C');
		     		$pdf->Cell($matrizLargura[24],5,utf8_decode($matrizTitulo[24]),1,0,'C');
		     		$pdf->Cell($matrizLargura[25],5,utf8_decode($matrizTitulo[25]),1,0,'C');

                    //imprime os casuismos de teste de frio
					$somaLargura=$matrizLargura[26]+$matrizLargura[27]+$matrizLargura[28]+$matrizLargura[29]+$matrizLargura[30]+$matrizLargura[31];
					$posicaoLaudoX=$posicaoLaudoX+$somaLargura;//
					$pdf->setXY($posicaoLaudoX,$cota1);
					$pdf->Cell($somaLargura,5,utf8_decode('Teste frio'),1,0,'C');
		     		$pdf->setXY($posicaoLaudoX,$cota1+5);
					$pdf->Cell($matrizLargura[26],5,utf8_decode($matrizTitulo[26]),1,0,'C');
		     		$pdf->Cell($matrizLargura[27],5,utf8_decode($matrizTitulo[27]),1,0,'C');
		     		$pdf->Cell($matrizLargura[28],5,utf8_decode($matrizTitulo[28]),1,0,'C');
		     		$pdf->Cell($matrizLargura[29],5,utf8_decode($matrizTitulo[29]),1,0,'C');
		     		$pdf->Cell($matrizLargura[30],5,utf8_decode($matrizTitulo[30]),1,0,'C');
		     		$pdf->Cell($matrizLargura[31],5,utf8_decode($matrizTitulo[31]),1,0,'C');

                    //imprime os casuismos de Reanaslis de frio
					$somaLargura=$matrizLargura[32]+$matrizLargura[33]+$matrizLargura[34]+$matrizLargura[35]+$matrizLargura[36]+$matrizLargura[37];
					$posicaoLaudoX=$posicaoLaudoX+$somaLargura;//
					$pdf->setXY($posicaoLaudoX,$cota1);
					$pdf->Cell($somaLargura,5,utf8_decode('Reanálise Teste frio'),1,0,'C');
		     		$pdf->setXY($posicaoLaudoX,$cota1+5);
					$pdf->Cell($matrizLargura[32],5,utf8_decode($matrizTitulo[32]),1,0,'C');
		     		$pdf->Cell($matrizLargura[33],5,utf8_decode($matrizTitulo[33]),1,0,'C');
		     		$pdf->Cell($matrizLargura[34],5,utf8_decode($matrizTitulo[34]),1,0,'C');
		     		$pdf->Cell($matrizLargura[35],5,utf8_decode($matrizTitulo[35]),1,0,'C');
		     		$pdf->Cell($matrizLargura[36],5,utf8_decode($matrizTitulo[36]),1,0,'C');
		     		$pdf->Cell($matrizLargura[37],5,utf8_decode($matrizTitulo[37]),1,0,'C');


					
					
					
					$cota1=45;
					
				endif;//aqui encerra o if que controla o contador de paginas e imprime cabecalho e dao salto de pagina

			    $contadorLinhasPagina++;
				if($contadorLinhasPagina==30)://colocar 30 depois
				   $contadorLinhasPagina=0;
				   //SETOR DO RODAPE
					$cotaR1=190;
					$pdf->SetFont('Arial','',6);		
					$pdf->setXY($margemEsquerda,$cotaR1);
				    $pdf->Cell(90,5,utf8_decode('Elaborado por: Silas'),0,0,'L');
				    $pdf->Cell(90,5,utf8_decode('Página: '.$numeroPagina.'/'.$totalPaginas),0,0,'C');
				    $pdf->Cell(90,5,utf8_decode('Aprovado por:Juliana Trinca'),0,0,'R');
					$pdf->SetFont('Arial','',8);
				endif;
			
			    //negritar linhas de cores alternadas
				$file=0;  
			    if($i % 2 == 0):
				    $file=1;
			    endif;	
				
					
				$pdf->setXY($margemEsquerda,$cota1);
	            $tabela .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$j];
					$tabela .= '<td>'.$texto.'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
            endfor;
			
		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);
   				
				/////////////
			//endfor;
			
			//SETOR DO RODAPE
			$cotaR1=190;
			$pdf->SetFont('Arial','',6);		
			$pdf->setXY($margemEsquerda,$cotaR1);
		    $pdf->Cell(90,5,utf8_decode('Elaborado por: Lucia Santos'),0,0,'L');
		    $pdf->Cell(90,5,utf8_decode('Página: '.$numeroPagina.'/'.$totalPaginas),0,0,'C');
		    $pdf->Cell(90,5,utf8_decode('Aprovado por:Juliana Trinca'),0,0,'R');
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
